function Y = convolveAll (X, theta)
% Y = CONVOLVEALL (X, theta) convolves all column vectors in X with theta
	
	m = sqrt(length(theta));
	n = sqrt(length(X(:,1)));
	thetaIm = reshape(theta, [ m m ]);
	
	Y = zeros(size(X));
	for i = 1:size(X, 2)
		Xim = reshape(X(:,i), [ n n ]);
		Yim = conv2(Xim, thetaIm, 'same');
		Y(:,i) = Yim(:);
	end
end
