function [ X1a, X0a, X1b, X0b ] = makeTestData (noise)
	%rand('state', 0);

	N = 100;
	P = 16*16;

	X = noise * rand(P, N);
	p = sqrt(P);
	featureIdxs = reshape(1:P, [ p, p ]);
	lineIdxs = p/8:7*p/8;

	% Randomly create labels (Ya) for task a -- modify data (X) accordingly
	Ya = randi(2, N, 1) - 1;
	for i = 1:N
		if Ya(i) == 1
			idxs = featureIdxs(ceil(rand * p/4) + p/8, lineIdxs);
		else
			idxs = featureIdxs(ceil(rand * p/4) + 5*p/8, lineIdxs);
		end
		X(idxs, i) = X(idxs, i) + 1;
	end

	% Randomly create labels (Yb) for task b -- modify data (X) accordingly
	Yb = randi(2, N, 1) - 1;
	for i = 1:N
		if Yb(i) == 1
			idxs = featureIdxs(lineIdxs, ceil(rand * p/4) + p/8);
		else
			idxs = featureIdxs(lineIdxs, ceil(rand * p/4) + 5*p/8);
		end
		X(idxs, i) = X(idxs, i) + 1;
	end

	% Now, partition into X1a and X0a for task a, and X1b an X0b for task b
	X1a = X(:, Ya==1);
	X0a = X(:, Ya==0);
	X1b = X(:, Yb==1);
	X0b = X(:, Yb==0);
end
