function Dlda = computeDlda (X1, X2, Y1, Y2, W, theta)
% Dlda = computeDlda (X1, X2) computes Fisher's discriminability criterion of data
% points in class 1 (X1) and class 2 (X2) given a projection pstar.
% X1 is p x n, where n is the number of data points in class 1.
% X2 is p x n, where n is the number of data points in class 2.
	
	pstar = computepstar(X1, X2, Y1, Y2, W, theta);

	m1 = mean(Y1, 2);
	m2 = mean(Y2, 2);

	B = (m2 - m1) * (m2 - m1)';

	Dlda = (pstar' * B * pstar) ./ (pstar' * W * pstar);
end
